# AA API Attributes

#### /Consent

* **Request Attributes**:
  * `hash(ConsentDetail.Customer.id)` – A hashed identifier of the customer generated during the registration with AA, ensuring privacy while identifying the user.
  * `ConsentDetail.Purpose.code` – Code representing the purpose for which consent is being created.
  * `ConsentDetail.Purpose.text` – Human-readable description of the consent purpose.
  * `ConsentDetail.FIDataRange.from` – Start date of the financial data being requested.
  * `ConsentDetail.FIDataRange.to` – End date of the financial data being requested.
  * `ConsentDetail.Frequency.unit` – Unit of frequency (e.g. HOUR, DAY, MONTH, YEAR, INF) for data fetch.
  * `ConsentDetail.Frequency.value` – Numeric value indicating how often data should be fetched.
* **Response Attributes**:
  * `ConsentHandle` – A ID generated until the consent is fully approved and a consent ID is issued.

#### /Consent/handle

* **Request Attributes**:
  * `ConsentHandle` – Handle provided when the consent request was created.
* **Response Attributes**:
  * `ConsentStatus.id` – Unique identifier for the consent.
  * `ConsentStatus.status` – Current status of the consent (e.g. PAUSED, ACTIVE, REVOKED, EXPIRED).

#### /Consent/fetch

* **Request Attributes**:
  * `consentId` – The permanent identifier of the consent whose details are being fetched.
* **Response Attributes**: None.

#### /FI/request

* **Request Attributes**:
  * `Consent.id` – Identifier of the consent under which financial information is requested.
* **Response Attributes**:
  * `consentId` – Same consent identifier (used interchangeably in some implementations).
  * `sessionId` – Unique identifier for the FI data request session.

#### /FI/fetch

* **Request Attributes**:
  * `sessionId` – Unique identifier of the session created during the FI request, used to fetch the data.
* **Response Attributes**: None.

#### /Consent/Notification

* **Request Attributes**:
  * `ConsentStatusNotification.consentId` – Identifier of the consent being updated.
  * `ConsentStatusNotification.consentStatus` – Current status of the consent (e.g.PAUSED, ACTIVE, REVOKED, EXPIRED).
* **Response Attributes**: None.

#### /FI/Notification

* **Request Attributes**:
  * `FIStatusNotification.sessionId` – Identifier of the session for which financial information status is being notified.
  * `FIStatusNotification.sessionStatus` – Current status of the FI session (e.g., COMPLETED, FAILED, PARTIAL).
* **Response Attributes**: None.

#### /Account/link/Notification

* **Request Attributes**:
  * `AccountLinkStatusNotification.customerAddress` – Identifier of the Customer generated during the registration with AA.
  * `AccountLinkStatusNotification.linkRefNumber` – Reference number assigned as part of Account Linking Process.
  * `AccountLinkStatusNotification.linkStatus` – Current status of the account linkage (e.g., LINKED,).
* **Response Attributes**: None.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.sahamati.org.in/sahamatinet-mvp/integration-steps/integration-with-router/observability-through-router/observability-attributes/aa-api-attributes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
